/* Color palette */

:root {
  --palette-white: #ffffff;
  --palette-black: rgba(0, 0, 0, 0.87);
  --palette-red: #cb3d40;
  --palette-gray-100: #f8f8f8;
  --palette-gray-200: #d0cfcf;
  --palette-gray-300: #b4b4b4;
  --palette-gray-400: #7e7e7e;
  --palette-yellow-300: #ffe302;
  --palette-yellow-400: #f4e041;
  --palette-blue: #00bdd3;

  --bg-gray: var(--palette-gray-100);

  --ui-white: var(--palette-white);
  --ui-black: var(--palette-black);
  --ui-gray-light: var(--palette-gray-200);
  --ui-gray: var(--palette-gray-300);
  --ui-primary: var(--palette-yellow-400);
  --ui-primary-light: var(--palette-yellow-300);
  --ui-secondary: var(--palette-blue);
  --ui-error: var(--palette-red);

  --text-black: var(--palette-black);
  --text-white: var(--palette-white);
  --text-gray: var(--palette-gray-400);
  --text-gray-light: var(--palette-gray-200);
  --text-error: var(--palette-red);
}

/* Font */

@font-face {
  font-family: Nunito;
  src: url(./assets/fonts/Nunito-Regular.ttf);
  font-weight: 400;
}

@font-face {
  font-family: Nunito;
  src: url(./assets/fonts/Nunito-Medium.ttf);
  font-weight: 500;
}

body {
  font-family: Nunito;
  font-weight: 400;
}

#root{
  width: 100%;
}

/* Typography */

h1, .heading-h1 {
  font-size: 40px;
  line-height: 40px;
  font-weight: 400;
  margin: 0;
}

.body-16,
.label {
  font-size: 16px;
  line-height: 26px;
}

.body-12,
.label-float {
  font-size: 12px;
  line-height: 14px;
}

.label-float {
  font-weight: 500;
}
